---
lang: en
title: 'API docs: context.contexttags'
keywords: LoopBack 4.0, LoopBack 4, Node.js, TypeScript, OpenAPI
sidebar: lb4_sidebar
editurl: https://github.com/loopbackio/loopback-next/tree/master/packages/context
permalink: /doc/en/lb4/apidocs.context.contexttags.html
---

<!-- Do not edit this file. It is automatically generated by API Documenter. -->

[Home](./index.md) &gt; [@loopback/context](./context.md) &gt; [ContextTags](./context.contexttags.md)

## ContextTags namespace

Namespace for context tags

**Signature:**

```typescript
export declare namespace ContextTags 
```

## Variables

<table><thead><tr><th>

Variable


</th><th>

Description


</th></tr></thead>
<tbody><tr><td>

[CLASS](./context.contexttags.class.md)


</td><td>


</td></tr>
<tr><td>

[CONFIGURATION\_FOR](./context.contexttags.configuration_for.md)


</td><td>

Binding tag to associate a configuration binding with the target binding key


</td></tr>
<tr><td>

[DYNAMIC\_VALUE\_PROVIDER](./context.contexttags.dynamic_value_provider.md)


</td><td>


</td></tr>
<tr><td>

[GLOBAL\_INTERCEPTOR\_GROUP](./context.contexttags.global_interceptor_group.md)


</td><td>

Binding tag for group name of global interceptors


</td></tr>
<tr><td>

[GLOBAL\_INTERCEPTOR\_SOURCE](./context.contexttags.global_interceptor_source.md)


</td><td>

Binding tag for global interceptors to specify sources of invocations that the interceptor should apply. The tag value can be a string or string\[\], such as `'route'` or `['route', 'proxy']`<!-- -->.


</td></tr>
<tr><td>

[GLOBAL\_INTERCEPTOR](./context.contexttags.global_interceptor.md)


</td><td>

Binding tag for global interceptors


</td></tr>
<tr><td>

[KEY](./context.contexttags.key.md)


</td><td>

Binding key for the artifact


</td></tr>
<tr><td>

[NAME](./context.contexttags.name.md)


</td><td>

Name of the artifact


</td></tr>
<tr><td>

[NAMESPACE](./context.contexttags.namespace.md)


</td><td>

Namespace of the artifact


</td></tr>
<tr><td>

[PROVIDER](./context.contexttags.provider.md)


</td><td>


</td></tr>
<tr><td>

[TYPE](./context.contexttags.type.md)


</td><td>

Type of the artifact


</td></tr>
</tbody></table>


